Bug 234828 - Evolution "hangs" whilst checking mail
Evolution "hangs" whilst checking mail
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
6
All Linux
low Severity medium
: ---
: ---
Assigned To: Matthew Barnes
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-04-02 09:43 EDT by Bastien Nocera
Modified: 2008-08-02 19:40 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-15 09:39:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bastien Nocera 2007-04-02 09:43:26 EDT
evolution-2.8.3-2.fc6
evolution-data-server-1.8.3-4.fc6

My server uses IMAP over SSL, and sometimes, whilst reading a mail (ie.
switching to a particular in my inbox), Evo will get stuck, and show in the
status bar:
Pinging IMAP server mx.nerdfest.org
and
Retrieving message 12345 (...)

Here's a backtrace of the hang:
#0  0x00000033d54c4a36 in poll () from /lib64/libc.so.6
#1  0x0000003d7f42fbee in g_main_context_check () from /lib64/libglib-2.0.so.0
#2  0x0000003d7f4300aa in g_main_loop_run () from /lib64/libglib-2.0.so.0
#3  0x0000003d86a2d0e6 in bonobo_main () from /usr/lib64/libbonobo-2.so.0
#4  0x000000000041596d in main (argc=2, argv=0x7fff4b899228) at main.c:616
#5  0x00000033d541da44 in __libc_start_main () from /lib64/libc.so.6
#6  0x0000000000409c09 in _start ()
(gdb) thread apply all bt

Thread 8 (Thread 1084229952 (LWP 23128)):
#0  0x00000033d600a416 in pthread_cond_wait@@GLIBC_2.3.2 () from
/lib64/libpthread.so.0
#1  0x0000003d7f4111c5 in g_async_queue_sort () from /lib64/libglib-2.0.so.0
#2  0x00000030daa14d0c in e_msgport_wait (msgport=0x725090) at e-msgport.c:694
#3  0x00000030daa152bc in thread_dispatch (din=<value optimized out>) at
e-msgport.c:1073
#4  0x00000033d6006305 in start_thread () from /lib64/libpthread.so.0
#5  0x00000033d54cd50d in clone () from /lib64/libc.so.6
#6  0x0000000000000000 in ?? ()

Thread 7 (Thread 1094719808 (LWP 23130)):
#0  0x00000033d54c4a36 in poll () from /lib64/libc.so.6
#1  0x0000003d7f42fbee in g_main_context_check () from /lib64/libglib-2.0.so.0
#2  0x0000003d7f4300aa in g_main_loop_run () from /lib64/libglib-2.0.so.0
#3  0x0000003d8d603413 in libnm_glib_init () from /usr/lib64/libnm_glib.so.0
#4  0x0000003d7f4490f4 in g_thread_create_full () from /lib64/libglib-2.0.so.0
#5  0x00000033d6006305 in start_thread () from /lib64/libpthread.so.0
#6  0x00000033d54cd50d in clone () from /lib64/libc.so.6
#7  0x0000000000000000 in ?? ()

Thread 6 (Thread 1105209664 (LWP 23131)):
#0  0x00000033d54c4a36 in poll () from /lib64/libc.so.6
#1  0x00000030d7e23ae4 in PR_Poll () from /usr/lib64/libnspr4.so
#2  0x00000030d9a3df3a in stream_read (stream=<value optimized out>,
buffer=0x2aaabedc2429 "u \003", n=4529) at camel-tcp-stream-ssl.c:381
#3  0x00000030dae39b8f in stream_read (stream=<value optimized out>, 
    buffer=0x2aaabedc0851 "Return-Path:
<bugzilla@gnome.org>\r\nX-Spam-Checker-Version: SpamAssassin 3.1.8 (2007-02-13)
on lucifer.nerdfest.org\r\nX-Spam-Level: \r\nX-Spam-Status: No, score=-2.6
required=9.0 tests=AWL,BAYES_00 autole"..., n=4529) at camel-stream-buffer.c:250
#4  0x00002aaab34d6764 in camel_imap_command_response (store=0xcfa8f0,
response=0x41e01b88, ex=0x2aaac013bee0) at camel-imap-command.c:467
#5  0x00002aaab34d75b2 in imap_read_response (store=0xcfa8f0, ex=0x2aaac013bee0)
at camel-imap-command.c:374
#6  0x00002aaab34d7d24 in camel_imap_command (store=0xcfa8f0,
folder=0x2aaab401c3e0, ex=0x2aaac013bee0, fmt=<value optimized out>) at
camel-imap-command.c:116
#7  0x00002aaab34d88b2 in camel_imap_folder_fetch_data
(imap_folder=0x2aaab401c3e0, uid=0x2aaac0139e40 "172675",
section_text=0x2aaab34e9832 "", cache_only=0, ex=0x2aaac013bee0) at
camel-imap-folder.c:2736
#8  0x00002aaab34d8f61 in get_message_simple (imap_folder=0x41e01700, uid=0x2
<Address 0x2 out of bounds>, stream=0x0, ex=0x2aaac013bee0) at
camel-imap-folder.c:2011
#9  0x00002aaab34dddee in imap_get_message (folder=0x2aaab401c3e0,
uid=0x2aaac0139e40 "172675", ex=0x2aaac013bee0) at camel-imap-folder.c:2151
#10 0x00000030d9a26532 in camel_folder_get_message (folder=0x2aaab401c3e0,
uid=0x2aaac0139e40 "172675", ex=0x2aaac013bee0) at camel-folder.c:1070
#11 0x00000030d9a19310 in get_message_cb (data=<value optimized out>,
ex=0xffffffffffffffff) at camel-filter-driver.c:1342
#12 0x00000030d9a1bc2b in camel_filter_search_get_message (fms=0x41e01ee0,
sexp=0x2aaabedb5a90) at camel-filter-search.c:134
#13 0x00000030d9a1bca0 in junk_test (f=0x2aaabedb5a90, argc=<value optimized
out>, argv=0x24291, fms=0x41e01ee0) at camel-filter-search.c:645
#14 0x00000030daa16ce9 in e_sexp_term_eval (f=0x2aaabedb5a90, t=0x2aaabedb77b0)
at e-sexp.c:710
#15 0x00000030daa16d90 in e_sexp_eval (f=0x2aaabedb5a90) at e-sexp.c:1304
#16 0x00000030d9a1bb32 in camel_filter_search_match (session=<value optimized
out>, get_message=<value optimized out>, data=<value optimized out>, info=<value
optimized out>, source=<value optimized out>, expression=0x3607410
"(junk-test)", ex=0x2aaac013bee0)
    at camel-filter-search.c:707
#17 0x00000030d9a197da in camel_filter_driver_filter_message (driver=0x35f9380,
message=<value optimized out>, info=0x114e798, uid=0x2aaac0139e40 "172675",
source=0x2aaab401c3e0, source_url=0x2aaabed3caa0
"imap://hadess@mx.nerdfest.org/INBOX", original_source_url=0x0, 
    ex=0x2aaac013bee0) at camel-filter-driver.c:1439
#18 0x00000030d9a27de2 in filter_filter (session=<value optimized out>,
tmsg=0x2aaac013be60) at camel-folder.c:1711
#19 0x00000030d9a3642b in session_thread_received (thread=<value optimized out>,
msg=0x2aaac013be60, session=0x79eb10) at camel-session.c:531
#20 0x00000030daa15272 in thread_dispatch (din=<value optimized out>) at
e-msgport.c:1025
#21 0x00000033d6006305 in start_thread () from /lib64/libpthread.so.0
#22 0x00000033d54cd50d in clone () from /lib64/libc.so.6
#23 0x0000000000000000 in ?? ()

Thread 5 (Thread 1126189376 (LWP 23133)):
#0  0x00000033d600a416 in pthread_cond_wait@@GLIBC_2.3.2 () from
/lib64/libpthread.so.0
#1  0x00000030daa15af2 in e_mutex_lock (m=0xd873e0) at e-msgport.c:1280
#2  0x00002aaab34e4854 in imap_noop (store=0xcfa8f0, ex=0x0) at
camel-imap-store.c:1651
#3  0x00002aaab125f521 in mail_msg_received (e=<value optimized out>, msg=<value
optimized out>, data=<value optimized out>) at mail-mt.c:582
#4  0x00000030daa15272 in thread_dispatch (din=<value optimized out>) at
e-msgport.c:1025
#5  0x00000033d6006305 in start_thread () from /lib64/libpthread.so.0
#6  0x00000033d54cd50d in clone () from /lib64/libc.so.6
#7  0x0000000000000000 in ?? ()

Thread 4 (Thread 1115699520 (LWP 23135)):
#0  0x00000033d600a416 in pthread_cond_wait@@GLIBC_2.3.2 () from
/lib64/libpthread.so.0
#1  0x00000030daa15af2 in e_mutex_lock (m=0x10c8600) at e-msgport.c:1280
#2  0x00000030d9a26520 in camel_folder_get_message (folder=0x2aaab401c3e0,
uid=0xe76be0 "172675", ex=0xe33718) at camel-folder.c:1068
#3  0x00002aaab1261c05 in get_message_get (mm=0xe336e0) at mail-ops.c:1753
#4  0x00002aaab125f521 in mail_msg_received (e=<value optimized out>, msg=<value
optimized out>, data=<value optimized out>) at mail-mt.c:582
#5  0x00000030daa15272 in thread_dispatch (din=<value optimized out>) at
e-msgport.c:1025
#6  0x00000033d6006305 in start_thread () from /lib64/libpthread.so.0
#7  0x00000033d54cd50d in clone () from /lib64/libc.so.6
#8  0x0000000000000000 in ?? ()

Thread 3 (Thread 1147169088 (LWP 23139)):
#0  0x00000033d600a416 in pthread_cond_wait@@GLIBC_2.3.2 () from
/lib64/libpthread.so.0
#1  0x0000003d7f4111c5 in g_async_queue_sort () from /lib64/libglib-2.0.so.0
#2  0x00000030daa14d0c in e_msgport_wait (msgport=0x725090) at e-msgport.c:694
#3  0x00000030daa152bc in thread_dispatch (din=<value optimized out>) at
e-msgport.c:1073
#4  0x00000033d6006305 in start_thread () from /lib64/libpthread.so.0
#5  0x00000033d54cd50d in clone () from /lib64/libc.so.6
#6  0x0000000000000000 in ?? ()

Thread 2 (Thread 1157658944 (LWP 23140)):
#0  0x00000033d600a416 in pthread_cond_wait@@GLIBC_2.3.2 () from
/lib64/libpthread.so.0
#1  0x0000003d7f4111c5 in g_async_queue_sort () from /lib64/libglib-2.0.so.0
#2  0x00000030daa14d0c in e_msgport_wait (msgport=0x725090) at e-msgport.c:694
#3  0x00000030daa152bc in thread_dispatch (din=<value optimized out>) at
e-msgport.c:1073
#4  0x00000033d6006305 in start_thread () from /lib64/libpthread.so.0
#5  0x00000033d54cd50d in clone () from /lib64/libc.so.6
#6  0x0000000000000000 in ?? ()

Thread 1 (Thread 46912514739888 (LWP 23121)):
#0  0x00000033d54c4a36 in poll () from /lib64/libc.so.6
#1  0x0000003d7f42fbee in g_main_context_check () from /lib64/libglib-2.0.so.0
#2  0x0000003d7f4300aa in g_main_loop_run () from /lib64/libglib-2.0.so.0
#3  0x0000003d86a2d0e6 in bonobo_main () from /usr/lib64/libbonobo-2.so.0
#4  0x000000000041596d in main (argc=2, argv=0x7fff4b899228) at main.c:616
#5  0x00000033d541da44 in __libc_start_main () from /lib64/libc.so.6
#6  0x0000000000409c09 in _start ()
#0  0x00000033d54c4a36 in poll () from /lib64/libc.so.6
Comment 1 Matthew Barnes 2007-10-05 00:58:51 EDT
Are you still seeing this problem in Fedora 7 or later?
Comment 2 Matěj Cepl 2007-12-10 16:48:34 EST
Fedora Core 6 is no longer supported, could you please reproduce this with the
updated version of the currently supported distribution (Fedora 7, 8, or
Rawhide)? If this issue turns out to still be reproducible, please let us know
in this bug report. If after a month's time we have not heard back from you, we
will have to close this bug as CANTFIX.

Setting status to NEEDINFO, and awaiting information from the reporter.

[This is mass-filed message to all open Fedora Core 6 bugs related to Evolution.
If you see any other reason, why this bug shouldn't be closed, please,
comment on it here.]
Comment 3 Matěj Cepl 2008-01-15 09:39:23 EST
Since there are insufficient details provided in this report for us to
investigate the issue further, and we have not received feedback to the
information we have requested above, we will assume the problem was not
reproducible, or has been fixed in one of the updates we have released for the
reporter's distribution.

Users who have experienced this problem are encouraged to upgrade to the latest
update of their distribution, and if this issue turns out to still be
reproducible in the latest update, please reopen this bug with additional
information.

Closing as INSUFFICIENT_DATA.

{This is mass-closing of all obsolete bugs; if this bug was in your opinion
closed by mistake, please, reopen it with additional information; thanks a lot
and I am sorry for bothering you in such case.}

Note You need to log in before you can comment on or make changes to this bug.